package com.xhkjedu.slive.mapper.xz;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.xz.LXz;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Deprecated  直播行政概要表
 * @Duthor wn
 * @Date 2022/3/30 12:01
 */
@Repository
public interface XzMapper extends TkMapper<LXz> {

    //行政直播列表
    List<Map> listXzs(@Param("xz") LXz xz);

    //行政直播下进行中或已结束的课节数量
    Integer getXzSectionKsNum(@Param("xzid") Integer xzid);

    //删除行政直播下所有的直播课程和直播班级
    void deleteCourseClassByXzid(@Param("xzid") Integer xzid);

    //删除行政直播和课节详情
    void deleteXzAndKjByXzid(@Param("xzid") Integer xzid);

    //删除行政直播下未开始的直播课、班级、课节详情
    void deleteCourseClassKjByXzid(@Param("xzid") Integer xzid);

    //修改行政直播删除状态
    void updateXzDeleted(@Param("deleted") Integer deleted,@Param("xzid") Integer xzid);

    //保存完行政直播后生成的课节基本信息
    List<Map> listXzKjsAfterSaveXz(@Param("xzid") Integer xzid);

}
